=== debian/changelog ===
ros-indigo-object-recognition-transparent-objects (0.4.0-0trusty) trusty; urgency=high

  * Fix check regarding whether the file is opened
  * drop Fuerte support
  * Contributors: Jordi Pages, Vincent Rabaud

 -- Ilya Lysenkov <ilya.lysenkov@itseez.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-indigo-object-recognition-transparent-objects (0.3.18-0trusty) trusty; urgency=high

  * fix dependencies with PCL

 -- Ilya Lysenkov <ilya.lysenkov@itseez.com>  Wed, 28 Aug 2013 20:27:21 +0200
