=== debian/control ===
Source: ros-indigo-object-recognition-transparent-objects
Section: misc
Priority: extra
Maintainer: Ilya Lysenkov <ilya.lysenkov@itseez.com>
Build-Depends: debhelper (>= 9.0.0), libopenni-dev, ros-indigo-catkin, ros-indigo-ecto, ros-indigo-object-recognition-core, ros-indigo-pcl-ros
Homepage: http://wg-perception.github.io/transparent_objects
Standards-Version: 3.9.2

Package: ros-indigo-object-recognition-transparent-objects
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenni-dev, ros-indigo-ecto, ros-indigo-ecto-opencv, ros-indigo-object-recognition-core, ros-indigo-pcl-ros
Description: A technique to recognize and estimate poses of transparent objects
